;; -*- coding: iso-2022-7bit; -*-

(require 'munsell-conv)

(defconst munsell-color-names-alist
  '(("2.5R3.0/3.0" "$BAIK'(B" "$B$9$[$&(B")
    ("2.5R7.0/8.0" "$B9HG_(B" "$B$3$&$P$$(B")
    ("4.0R4.0/14.0" "$B4Z9H2V(B" "$B$+$i$/$l$J$p(B")
    ("2.5R6.0/10.0" "$BEm2V(B" "$B$b$b(B")
    ("2.5R7.0/7.0" "$B:y(B" "$B$5$/$i(B")
    ("2.5YR8.0/4.0" "$BFy(B" "$B$K$/(B")
    ("7.5R4.0/14.0" "$B@VAIK'(B" "$B$"$+$9$[$&(B")
    ("5.0R4.5/13.0" "$B6d<k(B" "$B$.$s$7$e(B")
    ("7.5R4.5/14.0" "$B`O!9Hl(B" "$B$7$g$&$8$g$&$R(B")
    ("7.5R5.0/13.0" "$B9HHl(B" "$B$Y$K$R(B")
    ("10R5.5/14.0" "$B2+C0(B" "$B$o$&$?$s(B")
    ("10R6.0/11.0" "$B??Hl(B" "$B$^$R(B")
    ("2.5YR7.0/11.0" "$(DT`(B" "$B$=$R(B")
    ("10R6.5/10.0" "$B3A(B" "$B$+$-(B")
    ("10YR7.5/8.0" "$B?<;Y;R(B" "$B$3$-$/$A$J$7(B")
    ("7.5YR7.0/11.0" "$B4;;R(B" "$B$3$&$8(B")
    ("10YR7.5/10.0" "$B5`MU(B" "$B$/$A$P(B")
    ("5.0YR8.0/6.0" "$B@VGrFK(B" "$B$"$+$7$m$D$k$P$_(B")
    ("2.5R3.5/5.0" "$B>.F&(B" "$B$"$:$-(B")
    ("5.0R4.0/11.0" "$BIrF:Cc(B" "$B$($S$A$c(B")
    ("2.5R4.5/10.0" "$B??<k(B" "$B$7$s$7$e(B")
    ("2.0YR3.5/4.0" "$B[XHi(B" "$B$R$O$@(B")
    ("7.5R4.0/7.0" "$B%Y%s%,%i(B" "$B$Y$s$,$i(B")
    ("10R4.5/8.0" "$BBel`(B" "$B$?$$$7$c(B")
    ("10R3.0/2.0" "$B>GCc(B" "$B$3$2$A$c(B")
    ("10R3.0/4.0" "$B7*Hi(B" "$B$/$j$+$O(B")
    ("10R4.0/7.0" "$BFP(B" "$B$H$S(B")
    ("10R4.0/5.0" "$B3w(B" "$B$+$P(B")
    ("2.5Y5.0/4.0" "$B2+H'@w(B" "$B$3$&$m$;$s(B")
    ("5.0YR4.0/4.0" "$BCz;RCc(B" "$B$A$g$&$8$A$c(B")
    ("10YR4.0/4.0" "$B<F(B" "$B$U$7(B")
    ("7.5YR6.0/6.0" "$BCz;z(B" "$B$A$g$&$8(B")
    ("7.5YR5.5/6.0" "$BDS2+(B" "$B$7$c$*$&(B")
    ("10YR6.0/7.0" "$B%+!<%-!<(B" "$B$+!<$-!<(B")
    ("7.5YR6.0/5.0" "$B7,(B" "$B$/$o(B")
    ("2.5Y6.5/7.0" "$B2+FK(B" "$B$-$D$k$P$_(B")
    ("10YR7.5/6.0" "$B9a(B" "$B$3$&(B")
    ("10YR7.0/7.0" "$B2+EZ(B" "$B$*$&$I(B")
    ("3.5Y8.0/12.0" "$B;3?a(B" "$B$d$^$V$-(B")
    ("3.0Y8.0/14.0" "$BF#2+(B" "$B$H$&$*$&(B")
    ("4.5Y8.0/12.0" "$B]56b(B" "$B$&$3$s(B")
    ("5.0Y8.0/10.0" "$B4"0B(B" "$B$+$j$d$9(B")
    ("4.5Y8.0/8.0" "$B2+(B[$Bi-(B/$BLZ(B]" "$B$-$O$@(B")
    ("3.0Y8.0/7.0" "$B;Y;R(B" "$B$/$A$J$7(B")
    ("4.0Y8.0/8.0" "$B6L;R(B" "$B$?$^$4(B")
    ("10Y8.0/10.0" "$Bs4(B" "$B$R$o(B")
    ("5.0GY7.0/8.0" "$Bs4K(2+(B" "$B$R$o$b$($.(B")
    ("7.5GY5.5/5.0" "$Brt(B" "$B$&$0$$$9(B")
    ("10GY5.5/9.0" "$BK(2+(B" "$B$b$($.(B")
    ("10GY4.0/6.0" "$BNP(B" "$B$_$I$j(B")
    ("5.0G6.0/8.0" "$BNP@D(B" "$B$m$/$7$g$&(B")
    ("2.5G8.0/2.0" "$BGrNP(B" "$B$S$c$/$m$/(B")
    ("7.5G5.0/5.0" "$B>>MU(B" "$B$^$D$P(B")
    ("5.0BG4.0/4.0" "$B;3Mu@"(B" "$B$d$^$"$$$:$j(B")
    ("2.5GY3.5/2.0" "$B3$>>(B" "$B$_$k(B")
    ("10Y4.0/2.0" "$BU;Cc(B" "$B$3$S$A$c(B")
    ("5.0GY7.5/3.0" "$B@DGrFK(B" "$B$"$*$7$m$D$k$P$_(B")
    ("7.5PB2.3/3.0" "$B2X;R:0(B" "$B$J$9$3$s(B")
    ("7.5PB3.0/3.0" "$B:0(B" "$B$3$s(B")
    ("5.0PB3.0/4.0" "$BG<8M(B" "$B$J$s$I(B")
    ("8.5PB3.0/12.0" "$B:0@D(B" "$B$3$s$8$g$&(B")
    ("7.5PB3.0/12.0" "$BN0M~(B" "$B$k$j(B")
    ("6.0PB3.5/12.0" "$B72@D(B" "$B$0$s$8$g$&(B")
    ("7.5B6.0/4.0" "$BGr72(B" "$B$S$c$/$0$s(B")
    ("10B3.5/5.0" "$Be](B" "$B$O$J$@(B")
    ("10BG6.0/3.0" "$B@u2+(B" "$B$"$5$.(B")
    ("5.0P2.5/4.0" "$BLG;g(B" "$B$a$C$7(B")
    ("5.0P2.5/4.0" "$B?<;g(B" "$B$3$`$i$5$-(B")
    ("5.0P4.0/3.0" "$BFsMu(B" "$B$U$?$"$$(B")
    ("7.5P3.5/4.0" "$B;g(B" "$B$`$i$5$-(B")
    ("7.5P3.5/6.0" "$BIrF:(B" "$B$($S(B")
    ("8.5R4.5/4.0" "$B?<Hl(B" "$B$3$-$R(B")
    ("10PB3.5/10" "$B5K9<(B" "$B$-$-$g$&(B")
    ("7.5P5.0/8.0" "$BF#(B" "$B$U$8(B")
    ("5.0RP4.5/14" "$B24C0(B" "$B$\$?$s(B")
    ("N1.5" "$BKO(B" "$B$9$_(B")
    ("5.0YR3.0/0.5" "$BKOFK(B" "$B$/$m$D$k$P$_(B")
    ("2.5YR3.0/0.5" "$Bb%(B" "$B$/$j(B")
    ("7.5R4.0/0.5" "$BF_(B" "$B$K$S(B")
    ("5.0B4.0/0.5" "$B@DF_(B" "$B$"$*$K$S(B")
    ("5.0G4.5/0.5" "$BMx5WAM(B" "$B$j$-$e$&$M$:$_(B")
    ("5.0GY5.0/0.5" "$B3%(B" "$B$O$$(B")
    )
  "Munsell color names")

(defconst munsell-named-color-alist
  (apply
   'append
   (mapcar
    (lambda (p)
      (let ((color (munsell-convert (car p)))
	    (names (cdr p)))
	(mapcar (lambda (name) (cons name color)) names)))
    munsell-color-names-alist))
  "Munsell named colors")

(provide 'munsell-names)
